petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSwarmViewXDMF

Write DMSwarm fields to an XDMF3 file

### Synopsis

    PETSC_EXTERN PetscErrorCode DMSwarmViewXDMF(DM dm,const char filename[])

Collective on DM

### Input parameters

| dm | - the DMSwarm
| filename | - the file name of the XDMF file (must have the extension .xmf)

### Notes

Only fields user registered with data type PETSC_DOUBLE or PETSC_INT will be written into the file

### See Also

DMSwarmViewFieldsXDMF()

### Level

beginner

### Location

src/dm/impls/swarm/swarmpic_view.c

### Examples

src/dm/examples/tutorials/ex20.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages